package handler

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

func StatusHandler(c *gin.Context, executor CommandExecutor) {
	state, err := executor.GameState()

	if errorResponse(c, err) {
		return
	}

	c.JSON(http.StatusOK, state)
}
